package com.cultural.heritage.model.dto.order.capital;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

@Data
@Schema(description = "订单明细主要信息请求体", requiredProperties = {"goodId", "quantity"})
public class OrderItemMainInfoAddRequest implements Serializable {


    /**
     * 商品id
     */
    @Schema(description = "商品id(id > 0)", example = "8")
    private Long goodId;


    /**
     * 购买
     */
    @Schema(description = "购买数量", example = "10")
    private Integer quantity;



    @Serial
    private static final long serialVersionUID = 1L;
}
